You are not logged in.

#1 2013-11-21 09:49:30

leonarddr
Member
Registered: 2013-03-27
Posts: 6

Apache 2.4 status

Hello,

Although it isn't a problem for me to build and install Apache 24 from the aur, i wonder why Apache 24 still isn't addopted in the repositories. Most of the distros, including Ubuntu Saucy and Debian testing have 2.4 as the default in their repositories. This implies that they've found a working and acceptable upgrade path. What exactly makes arch fall behind?

Offline

#2 2013-11-21 14:22:01

Pierre
Developer
From: Bonn
Registered: 2004-07-05
Posts: 1,950
Website

Re: Apache 2.4 status

There is no maintainer interested in packaging Apache 2.4.

Offline

#3 2013-11-21 15:33:04

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Offline

#4 2013-12-15 19:20:21

tom.ty89
Member
Registered: 2012-11-15
Posts: 608

Re: Apache 2.4 status

Yet Apache 2.2.26 is out for about almost a month and the it's still 2.2.25 in the repo. So is Apache frozen or dead in Arch now?
Not a single dev would like to maintain 2.4? It's that EVIL?

LOL. I thought it's only because of rational reason like many modules weren't supported yet.

Last edited by tom.ty89 (2013-12-15 19:22:31)

Offline

#5 2014-02-01 02:21:24

davidm
Member
Registered: 2009-04-25
Posts: 338

Re: Apache 2.4 status

tom.ty89 wrote:

Yet Apache 2.2.26 is out for about almost a month and the it's still 2.2.25 in the repo. So is Apache frozen or dead in Arch now?
Not a single dev would like to maintain 2.4? It's that EVIL?

LOL. I thought it's only because of rational reason like many modules weren't supported yet.

Step up.  Become a developer over time and fix it. smile  It's not evil.  People only have so much time unfortunately.

Offline

#6 2014-02-03 13:40:02

Vamp898
Member
From: ドイツではまだ住んでいる
Registered: 2009-01-03
Posts: 866
Website

Re: Apache 2.4 status

davidm wrote:
tom.ty89 wrote:

Yet Apache 2.2.26 is out for about almost a month and the it's still 2.2.25 in the repo. So is Apache frozen or dead in Arch now?
Not a single dev would like to maintain 2.4? It's that EVIL?

LOL. I thought it's only because of rational reason like many modules weren't supported yet.

Step up.  Become a developer over time and fix it. smile  It's not evil.  People only have so much time unfortunately.

If the original developer would drop it, someone could be able to take the package over for example in AUR.

Right now you have to use apache24 package from AUR. Seems to be a package which can be taken over easily but seems like even this cost too much time sadly...

Last edited by Vamp898 (2014-02-03 13:40:20)

Offline

#7 2014-02-03 14:23:51

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Offline

#8 2014-03-03 21:47:04

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: Apache 2.4 status

apache 2.4.7-1 is in [testing].

Offline

#9 2014-03-06 23:28:35

karol
Archivist
Registered: 2009-05-06
Posts: 25,426

Re: Apache 2.4 status

Offline

#10 2014-03-07 00:15:53

Potomac
Member
Registered: 2011-12-25
Posts: 326

Re: Apache 2.4 status

it would be great if someone can update the wiki page about LAMP and php :

https://wiki.archlinux.org/index.php/LAMP

because it's impossible to use the php archlinux package with apache 2.4, we need to install php-fpm package and to do some configuration, and it's not easy to understand the official documentation :

http://wiki.apache.org/httpd/PHP-FPM

Offline

#11 2014-03-07 19:34:35

anatolik
Developer
Registered: 2012-09-27
Posts: 385

Re: Apache 2.4 status

+1 for updating the docs

Potomac wrote:

because it's impossible to use the php archlinux package with apache 2.4

I believe you can do this, but you need to change default MPM from mpm_event to mpm_prefork as php in [extra] compiled without thread-safe support.

Offline

Board footer

Powered by FluxBB